Subject: Re: [PATCH net-next v2 2/9] dpll: spec: Add Netlink spec in YAML

From: Jakub Kicinski <[email-masked]>
Date: Tue, 8 Aug 2023 13:03:27 -0700

On Mon, 7 Aug 2023 22:25:25 +0100 Vadim Fedorenko wrote:
> Well, in my case after rebasing on latest net-next I got just part of 
> your diff:
> 
> diff --git a/drivers/dpll/dpll_nl.c b/drivers/dpll/dpll_nl.c
> index ff3f55f0ca94..638e21a9a06d 100644
> --- a/drivers/dpll/dpll_nl.c
> +++ b/drivers/dpll/dpll_nl.c
> @@ -17,7 +17,6 @@ const struct nla_policy 
> dpll_pin_parent_device_nl_policy[DPLL_A_PIN_STATE + 1] =
>          [DPLL_A_PIN_PRIO] = { .type = NLA_U32, },
>          [DPLL_A_PIN_STATE] = NLA_POLICY_RANGE(NLA_U8, 1, 3),
>   };
> -

Uh, missing cw.nl() somewhere. Will add.

>   const struct nla_policy dpll_pin_parent_pin_nl_policy[DPLL_A_PIN_STATE 
> + 1] = {
>          [DPLL_A_PIN_STATE] = NLA_POLICY_RANGE(NLA_U8, 1, 3),
>          [DPLL_A_PIN_ID] = { .type = NLA_U32, },
> 
> 
> The "/* private: */" comment was added to the generator after Simon's
> comment. But I'll include this part into the next version.

We only added private for enum masks, I'll send a patch for nlattrs.